<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        
        <title>Mars</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"
            integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">

    <body>
        <div class="container">
        
            <a class="btn btn-info btn-lg mb-3 float-right" href="/scrape" role="button">
                Get Latest Updates
            </a>

            <div style="background-image:url('{{ url_for('static', filename='img/featured_img_backup.jpg') }}');width:100%;height:300px;background-size:cover;background-repeat:no-repeat;background-position:center center;padding:20px;">
                <h2 style="color:#fff;font-size:32px;font-weight:bold;">Mission To Mars Updates</h2>
            </div>

            <div class="row">
                <div class="card-group">
                    <div class="card border-0">
                        <div class="card-body">
                            <h2 class="card-title text-info text-center">Featured Img</h2>
                            <img src="{{ mars_data.featured_img }}" class="card-img" style="width:100%;height:300px;" alt="">
                        </div>
                    </div>
                    

                    <div class="card border-0">
                        <div class="card-body">
                            <h2 class="card-title text-info text-center">News</h2>
                            <p class="card-text"><b>{{ mars_data.top_title }}</b></p>
                            <p class="card-text">{{ mars_data.top_headline }}</p>
                        </div>
                    </div>
                    <div class="card border-0">
                        <div class="card-body">
                            <h2 class="text-info text-center">Weather</h2>
                            <p class="card-text">{{ mars_data.weather }}</p>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="card-group">
                    <div class="card border-0">
                        <div class="card-body">
                            <h2 class="card-title text-info text-center">Mars Facts</h2>
                            <div class="text-center">
                                {{ mars_data.mars_facts_html | safe }}
                            </div>
                        </div>
                    </div>
                    <div class="card border-0">
                        <div class="card-body">
                            <h2 class="card-title text-info text-center">Hemispheres</h2>
                            <div class="row">
                                {% for hem in mars_data.hemispheres %}
                                    <div class="col-6 text-center">
                                        <img class="figure-img img-fluid my-1" src="{{ hem.image_url }}" style="width:80%;margin:10px;">
                                        <strong>{{ hem.title }}</strong>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        
        </div>

    </body>

</html>